Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Sun 21 Dec 2014, 14:49
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » System
Upgraded Xserver for Puppy-4
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
Page 1 of 1 Posts_count  
Author Message
Karl Godt


Joined: 20 Jun 2010
Posts: 3982
Location: Kiel,Germany

PostPosted: Tue 12 Nov 2013, 18:55    Post_subject:  Upgraded Xserver for Puppy-4
Sub_title: Xorg-1.7 to Xorg-1.11
 

Testers needed for newer Xorg on Puppy-4 to work on newer chips !

First a dirty, mainly unstripped .sfs of 112 MB of Xorg-1.10.6 :

--prefix=/usr/X11R7.7
since I used their *proto* headers .

After compiling 1.11.4 I made a mistake to accidentally add Xorg-1.7.2 to the driver directory . Surprisingly it compiled, so I decided to compile 1.7.7, 1.8.2, 1.9.5 and 1.10.6 on top of it .

So here's a first experimental snapshot of 1.10.6 , directory layout inside looks as :

ls usr/X11R7.7
bin/ etc/ include/ lib/ libexec/ man/ share/ var/

arch should be i686 .

First steps to integrate it into a current running system :

Mount and copy that X11R7.7 into /usr -- or load it

cd /usr
mv X11R7 X11R7-orig
ln -s X11R7.7 X11R7

export PKG_CONFIG_PATH=/usr/X11R7.7/lib/pkgconfig:$PKG_CONFIG_PATH
export LD_LIBRARY_PATH=/usr/X11R7.7/lib:$LD_LIBRARY_PATH
export PATH=/usr/X11R7.7/bin:$PATH

Xorg -version
[ "$?" = 0 ] || { rm X11R7; ln -s X11R7-orig X11R7; }

It's something for experienced people !

Download is from MS Skydrive account , Let me know if that works for you :
https://skydrive.live.com/embed?cid=2082C6CDB8276E9E&resid=2082C6CDB8276E9E%212176&authkey=AASKqkJCADUIGJs
Edit : -> Right click then and Open Link in New Tab

md5sum X11R7.7-1.10.6.sfs
Code:
7a383a2c50d73ed14740ca6564df4f24



DISCLAIMERS :
As said, it is unstripped,
has a huge amount of unneccessary .a and .la files,
many more executables in bin - but not all possible .

libpixman-1.so* and libGLU.so* have several versions .
Mesa is up to 7.10.3 .

libXCB* is from libxcb version 0.9, and libxcb* should be from 1.9 .
It seems that mainly libxcb.so.1+libxcb.so.1.1.0 and libxcb-shape.so.0 + libxcb-shape.so.0.0.0 are needed from the libxcb package .

Make sure duplicate libraries and executable come afterwards the new Xorg installation :

export PKG_CONFIG_PATH=/usr/X11R7.7/lib/pkgconfig:$PKG_CONFIG_PATH
export LD_LIBRARY_PATH=/usr/X11R7.7/lib:$LD_LIBRARY_PATH
export PATH=/usr/X11R7.7/bin:$PATH

and edit files /etc/ld.so.conf and /etc/profile probably .

xorgwizard is having two problems creating the xorg.conf file :

1) Was creating a
Code:
Section "ServerLayout"
   Identifier     "X.org Configured"
   Screen      0  "Screen0" 0 0
   Screen      1  "Screen1" RightOf "Screen0"
   Screen      2  "Screen2" RightOf "Screen1"
   InputDevice    "Mouse0" "CorePointer"
   InputDevice    "Keyboard0" "CoreKeyboard"
EndSection


2) Because of " tr '%' '\n' " code it made three entries as
Code:
   ### <percent>: "<f>
   "


- Both 1) and 2) made xwin abort .

Solution is for now to toggle towards the edit xorg.conf menu entry in xorgwizard , and for

1) Comment the two additional Screen1 and Screen2 entries like
Code:
    Screen      0  "Screen0" 0 0
#   Screen      1  "Screen1" RightOf "Screen0"
#   Screen      2  "Screen2" RightOf "Screen1"

- by adding a #-numbersign as first sign of the two lines

2) Find every line that contains only a double quote and backspace that as last charakter of the previous line , so it looks like that :
Code:
  ### <percent>: "<f>%"

- and add the percent sign .

Compilation took place on a Macpup Foxy3 full installation aka Puppy-4.3.0/4.3.2 with it's stock glibc-2.6.1 .

Hope that I did not made too much hassle .

Edited_time_total
Back to top
View user's profile Send_private_message Visit_website 
Scotchialoo

Joined: 25 Oct 2013
Posts: 54
Location: Poland

PostPosted: Tue 12 Nov 2013, 19:04    Post_subject:  

.SFS? So why not .PET Form...?
Back to top
View user's profile Send_private_message Visit_website 
Karl Godt


Joined: 20 Jun 2010
Posts: 3982
Location: Kiel,Germany

PostPosted: Tue 12 Nov 2013, 19:31    Post_subject:  

Because to be able to either load or just mount it .
SFS-on-the fly might be handy sfs_load-1.9.9 on-the-fly
or just
Code:
filemnt /path/to/X.sfs


About package preferences you could read here :
Which file format do you prefer for Puppy packages?
by forum member koulaxizis .

Sorry for being a littel slow to respond, but firefox flashplugin container wants libpixman-1.so.0 in /usr/lib -- firefox runs, but takes one minute to load sites with flash .
Back to top
View user's profile Send_private_message Visit_website 
ally


Joined: 19 May 2012
Posts: 885
Location: lincoln

PostPosted: Wed 13 Nov 2013, 02:49    Post_subject:  

mirrored on this page:

http://archive.org/details/Puppy_Linux_Series4

Smile
Back to top
View user's profile Send_private_message Visit_website 
Karl Godt


Joined: 20 Jun 2010
Posts: 3982
Location: Kiel,Germany

PostPosted: Wed 13 Nov 2013, 07:40    Post_subject:  

I wrote that it is dirty and fresh from compiling .

I even was not running it before I uploaded it .

I am running it from xwin as :
Code:
Xorg) #### Begin Xorg
 tmpDir='/tmp/xwin'
 mkdir -p "$tmpDir"
 XinitXorgVars="$HOME/.xinitrc"
 AP=`date +%R:%S`
 ErrLog="$tmpDir/Xerrs.$KERNELVER.$Date.Xorg.log.$AP"
 Log="$tmpDir/Xorg.$KERNELVER.$Date.log.$AP"

 /usr/bin/xinit "$XinitXorgVars" -- /usr/bin/X :0 -logfile "$Log" -nolisten tcp > "$ErrLog" 2>&1

and Xorg.0.log today looks as :
Quote:
X.Org X Server 1.10.6
Release Date: 2012-02-10
[ 116.327] X Protocol Version 11, Revision 0
[ 116.327] Build Operating System: Linux 2.6.37.4-KRG-i586TSC-64GB-1 i686
[ 116.327] Current Operating System: Linux puppypc 2.6.37.4-KRG-i586TSC-64GB-1 #9 SMP PREEMPT Fri Mar 25 03:44:43 GMT-8 2011 i686
[ 116.327] Kernel command line: panic=56 root=/dev/sda6 ro nox i915.modeset=0
[ 116.328] Build Date: 12 November 2013 06:42:35PM
[ 116.328]
[ 116.328] Current version of pixman: 0.24.4

I boot nox , have to modprobe -vr i915 and modprobe -v i915 modeset=1 before xwin .
Machine is Version: Intel(R) Atom(TM) CPU D525 @ 1.80GHz - ( 2 cores with 2 threads each @900MHz ) .
It was working with stock Puppy-4 X11R7.2 Xserver-1.3.0.0 with the vesa driver , but that version of the vesa driver is missing dpms support and vesa does not support GL , needed by google-earth for example .
Until now I could not see any differences between Xorg-1.7.7 up to 1.11.4 .

Am happy that I am able to load a package up to my skydrive account , to work furter on a "pristine" package on my other machines that run well with Xorg-1.3.0.0 , without worrying about to accidentally tainting and losing it .
Will post a stripped down .sfs without devx , docs , nls , unneeded libraries and the huge fonts components in some days .

@ally, thanks for mirroring it, because that shows, that at least you were able to access the package and download it.

@darry1966, thanks for the support as well.


Attached Xorg.0.log :
( has an error line at the end about xkb , but my keybord works though )
Xorg.0.log.bz2
Description 
bz2

 Download 
Filename  Xorg.0.log.bz2 
Filesize  5.66 KB 
Downloaded  164 Time(s) 
Back to top
View user's profile Send_private_message Visit_website 
darry1966

Joined: 26 Feb 2012
Posts: 578
Location: New Zealand

PostPosted: Wed 13 Nov 2013, 13:01    Post_subject:  

No problem Karl
Back to top
View user's profile Send_private_message 
Karl Godt


Joined: 20 Jun 2010
Posts: 3982
Location: Kiel,Germany

PostPosted: Wed 13 Nov 2013, 13:43    Post_subject:  

Note :
Skydrive does not like FF-3.6 .
And not Opera-11.61 .
Anymore .

Have installed FF-4.0b12-en_GB .
Will need to check it's spell checking Smile
After switching machine to
model name : Intel(R) Core(TM)2 CPU 6300 @ 1.86GHz
Back to top
View user's profile Send_private_message Visit_website 
Karl Godt


Joined: 20 Jun 2010
Posts: 3982
Location: Kiel,Germany

PostPosted: Thu 14 Nov 2013, 18:03    Post_subject:  

Xorg.0.log from the other machine ,
Release Date: 03/29/2007 ( March 2007 ) - three years older than the machine the package was compiled on :
Code:
X.Org X Server 1.10.6
Release Date: 2012-02-10
[  1567.439] X Protocol Version 11, Revision 0
[  1567.439] Build Operating System: Linux 2.6.37.4-KRG-i586TSC-64GB-1 i686
[  1567.439] Current Operating System: Linux puppypc 2.6.30.9-i586-dpup005-Celeron2G #6 SMP Sat Jan 15 13:35:51 GMT-8 2011 i686
[  1567.439] Kernel command line: panic=56 root=/dev/sda7 ro vga=ask
[  1567.439] Build Date: 12 November 2013  06:42:35PM

Kernel is a 2.6.30er ,
since somewhere later 2.6.34 and 2.6.37 kernels were some changes made to reboot.c ,
and Dell machines need apparently to be explicitly mentioned in reboot.c ,
so they reboot reliable - most of the times reboot stalls like shutdown -h with the later kernels .

Also here now also i915.modeset=1 is needed , so Xorg-1.10.6 finds some devices if using the intel driver.
The old Xorg-1.3.0 was only running in modeset=0 mode with the same kernel .
Xorg.0.log.bz2
Description 
bz2

 Download 
Filename  Xorg.0.log.bz2 
Filesize  5.52 KB 
Downloaded  160 Time(s) 
Back to top
View user's profile Send_private_message Visit_website 
Karl Godt


Joined: 20 Jun 2010
Posts: 3982
Location: Kiel,Germany

PostPosted: Fri 22 Nov 2013, 21:35    Post_subject:  

Update : Recently tested first-time on a frugal installation with 4.3.1 : Two dependent libs are missing !

libgpg-error.so.0
libgpg-error.so.0.4.0

AND

libgcrypt.so.11
libgcrypt.so.11.5.3


Sorry for any inconveniences .

Will have to add a package or repackage .
Both sources are found here :
ftp://ftp.gnupg.org/gcrypt/
First compilations succeeded up to latest version each .
libgcrypt.so.11.5.3 is in libgcrypt-1.4.5
libgpg-error.so.0.4.0 is in libgpg-error-1.6
Back to top
View user's profile Send_private_message Visit_website 
Display_posts:   Sort by:   
Page 1 of 1 Posts_count  
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » System
Jump to:  

Rules_post_cannot
Rules_reply_cannot
Rules_edit_cannot
Rules_delete_cannot
Rules_vote_cannot
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.1127s ][ Queries: 12 (0.0378s) ][ GZIP on ]